<template>
  <mind-view>
    <div style="height:100%; width:100%">
      <l-map :use-global-leaflet="false" ref="map"
        v-model:zoom="zoom" :center="[-34.61676015937606, -58.651328086853034]"
        @click="addMarker"
        >
        <l-tile-layer
          url="https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
          layer-type="base"
          name="OpenStreetMap"
        ></l-tile-layer>
        <l-marker @click="editMarker" v-model:lat-lng="Coordenadas1" draggable></l-marker>
        <l-marker @click="editMarker" v-model:lat-lng="Coordenadas2" draggable></l-marker>
      </l-map>
    </div>
  </mind-view>
</template>

<script>
import "leaflet/dist/leaflet.css";
import { LMap, LTileLayer, LMarker } from "@vue-leaflet/vue-leaflet";
// import type L from "leaflet"

export default {
  components: {
    LMap,
    LTileLayer,
    LMarker
  },
  computed: {
  },
  methods: {
    addMarker(e) {
      console.log("addMarker", e.latlng)
    },
    editMarker(e) {
      console.log("editMarker", e)
    }
  },
  data() {
    return {
      zoom: 15,
      Coordenadas1: [-34.616680693724135,-58.65118861198426],
      Coordenadas2: [-34.617996281943064,-58.65073800086976]
    };
  },
};
</script>

<style scoped>
</style>
